HepMC3 event record library: EventGroup Struct Reference

HepMC3 event record library

Public Member Functions | Data Fields
EventGroup Struct Reference

## Detailed Description

The EventGroup represents a set of events which are to be considered together.

Definition at line 2088 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for EventGroup:
[legend]
Collaboration diagram for EventGroup:
[legend]

## Public Member Functions
| EventGroup ()
| EventGroup (const EventGroup &)
EventGroup & | operator= (const EventGroup &)
void | clear ()
| ~EventGroup ()

## Data Fields
int | nreal
int | ncounter
T | elements
| STL member.

## Constructor & Destructor Documentation

## ◆ EventGroup() [1/2]

EventGroup | ( |  | ) |
| inline

Initialize default values.

Definition at line 2093 of file LHEF.h.

References ncounter, and nreal.

## ◆ EventGroup() [2/2]

EventGroup | ( | const EventGroup & | eg | ) |
| inline

The copy constructor also copies the included HEPEUP object.

Definition at line 2730 of file LHEF.h.

References EventGroup(), ncounter, and nreal.

## ◆ ~EventGroup()

~EventGroup | ( |  | ) |
| inline

The destructor deletes the included HEPEUP objects.

Definition at line 2726 of file LHEF.h.

References clear(), and ~EventGroup().

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

Remove all subevents.

Definition at line 2719 of file LHEF.h.

References clear().

## ◆ operator=()

EventGroup & operator= | ( | const EventGroup & | x | ) |
| inline

The assignment also copies the included HEPEUP object.

Definition at line 2735 of file LHEF.h.

References clear(), EventGroup(), ncounter, and nreal.

## Field Documentation

## ◆ elements

T elements
| inherited

STL member.

## ◆ ncounter

int ncounter

The number of counter events in this event group.

Definition at line 2123 of file LHEF.h.

## ◆ nreal

int nreal

The number of real events in this event group.

Definition at line 2118 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h